Source: magic-haskell
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libmagic-dev,
Build-Depends-Indep: ghc-doc
Standards-Version: 4.5.0
Section: haskell
Homepage: http://hackage.haskell.org/package/magic
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/magic-haskell]
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/magic-haskell

Package: libghc-magic-dev
Section: haskell
Architecture: any
Depends: libmagic-dev, ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: File type determination library for Haskell${haskell:ShortBlurb}
 This package provides a Haskell interface to the C libmagic library.
 With it, you can determine the type of a file by examining its contents
 rather than its name.  The Haskell interface provides a full-featured
 binding.
 .
 ${haskell:Blurb}

Package: libghc-magic-prof
Section: haskell
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: File type determination library for Haskell${haskell:ShortBlurb}
 This package provides a Haskell interface to the C libmagic library.
 With it, you can determine the type of a file by examining its contents
 rather than its name.  The Haskell interface provides a full-featured
 binding.
 .
 ${haskell:Blurb}

Package: libghc-magic-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: magic-haskell-doc
Replaces: magic-haskell-doc (<< 1.0.8-4)
Conflicts: magic-haskell-doc (<< 1.0.8-4)
Description: File type determination library for Haskell${haskell:ShortBlurb}
 This package provides a Haskell interface to the C libmagic library.
 With it, you can determine the type of a file by examining its contents
 rather than its name.  The Haskell interface provides a full-featured
 binding.
 .
 ${haskell:Blurb}
